#!/bin/bash
function checkProgram(){
# set -x
echo -n "Checking for $1..."
echo -n "Checking for $1..."  >> install.log
local check=`"$1" --help 2>&1| wc -l`
# echo "$check"
if [ $check -lt 2 ];then
	echo "failed"  >> install.log
	echo  >> install.log
	echo "The l10n scripts installation script"  >> install.log
	echo "failed to locate the program $n..."  >> install.log
	echo "Please install this program or make sure"  >> install.log
	echo "it is in your PATH, and try again"  >> install.log
	echo "failed"
	echo
	echo "The l10n scripts installation script"
	echo "failed to locate the program $n..."
	echo "Please install this program or make sure"
	echo "it is in your PATH, and try again"
	exit 1
else
	echo "done"
	echo "done"  >> install.log
fi
}

#######################################
# Script starts here
#######################################
programsUsed="read
sed
grep
"

clear
echo "####  l10n scripts installation utility  ###"
echo "####  l10n scripts installation utility  ###" > install.log
echo
echo  >> install.log
echo -n "Checking user..."
echo -n "Checking user..."  >> install.log
check=`id -u`
if [ "$check" != "0" ];then
	echo "failed"  >> install.log
	echo "You have to be root to run this script..."  >> install.log
	echo  >> install.log
	echo "failed"
	echo "You have to be root to run this script..."
	echo
	exit 1
else
	echo "done"
	echo "done"  >> install.log
fi
for n in `echo "$programsUsed"`
do
	checkProgram "$n"
done
# . ./l10n.conf
../l10n-scripts-1.5.0/l10n.conf
# . ./l10n-common
. ./l10n-scripts-1.5.0/l10n-common

while true
do
clear
cat install.log
echo
# # set -x
echo -n "Specify the Installation folder [$installFolder]: "
read -r whereToInstall
if [ "$whereToInstall" = "/" ];then
	continue
fi
if [ "$whereToInstall" = "" ];then
	whereToInstall="$installFolder"
	break
else
	break
fi
done
echo "Installation folder: $whereToInstall"   >> install.log
clear
cat install.log
if ! test -d "$whereToInstall" ;then
	while true
	do
	echo
	echo "The installation folder does NOT exit"
	echo -n "Do you want to create it now ([y]/n): "
	read ans
	if [ "$ans" = "y" ] || [ "$ans" = "" ];then
		addToPATH=true
		
		mkdir -p -m 755 "$whereToInstall" 2>/dev/null
		if ! test -d "$whereToInstall";then
			echo "Error: Could not create the Installation folder"
			echo "       Exiting"
			echo
			exit 1
		else
		echo "The Installation folder has been created"
		echo "  The Installation folder has been created"  >> install.log		
		fi
		chmod -R 755 "$whereToInstall"
		break
	else
		addToPATH=false
		echo
		exit 1
	fi	
	done
else
	chmod -R 755 "$whereToInstall"
fi
clear
cat install.log
exit
for n in l10n-*
do
	echo -n "Installing $n..."
	echo -n "Installing $n..."  >> install.log
	cp "$n" "$whereToInstall"
	echo "done"
	echo "done"  >> install.log
done
echo -n "Editing l10n.conf..."

# isInPATH "$whereToInstall" && {
# 	echo
# 	echo "The Installation folder is NOT in your PATH"
# 	echo -n "Do you want to add it now? ([y]/n): "
# 	read ans
# 	if [ "$ans" = "y" ] || [ "$ans" = "" ];then
# 		addToPATH=true
# 		echo "The Installation folder will be added to your PATH"
# 		echo "The Installation folder will be added to your PATH"  >> install.log
# 	else
# 		addToPATH=false
# 	fi
# }



